Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.log
Class DefaultLogEntryPrototype

    java.lang.Object
      com.compoze.collab.log.LogEntryPrototype
          com.compoze.collab.log.DefaultLogEntryPrototype

    public class DefaultLogEntryPrototype

extends LogEntryPrototype

This class contains prototypes for the test log messages.

Field Summary
`static DefaultLogEntryPrototype` | `DEFAULT_DEBUG`
`static DefaultLogEntryPrototype` | `DEFAULT_ERROR`
`static DefaultLogEntryPrototype` | `DEFAULT_INFO`
`static DefaultLogEntryPrototype` | `DEFAULT_TRACE`
`static DefaultLogEntryPrototype` | `DEFAULT_WARN`

Constructor Summary
`DefaultLogEntryPrototype(LogResourceKey key, LogLevel level)` Constructor.
`DefaultLogEntryPrototype(LogResourceKey key, LogLevel level, Class exceptionClass)` Constructor.

Method Summary

Methods inherited from class com.compoze.collab.log.LogEntryPrototype
`getExceptionClass, getKey, getLogLevel, isExceptionPrototype`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DEBUG

    public static final DefaultLogEntryPrototype DEFAULT_DEBUG

### DEFAULT_ERROR

    public static final DefaultLogEntryPrototype DEFAULT_ERROR

### DEFAULT_INFO

    public static final DefaultLogEntryPrototype DEFAULT_INFO

### DEFAULT_WARN

    public static final DefaultLogEntryPrototype DEFAULT_WARN

### DEFAULT_TRACE

    public static final DefaultLogEntryPrototype DEFAULT_TRACE

Constructor Detail

### DefaultLogEntryPrototype

    public DefaultLogEntryPrototype(LogResourceKey key,
                                    LogLevel level)

  Constructor.

### DefaultLogEntryPrototype

    public DefaultLogEntryPrototype(LogResourceKey key,
                                    LogLevel level,
                                    Class exceptionClass)

  Constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved